Commit a34ff013 authored by Julien Veyssier's avatar Julien Veyssier
Browse files

README...

parent 85032f55
...@@ -14,19 +14,19 @@ XVFB is used to perform graphical actions even without being under a running X s ...@@ -14,19 +14,19 @@ XVFB is used to perform graphical actions even without being under a running X s
There is basically three ways to use R package checker : There is basically three ways to use R package checker :
* Call the Bash script directly and watch the output * Call the Bash script directly, watch the output and read .Rout files
* Call the Bash script directly with the --html option to produce a real-time html output * Call the Bash script directly with the --html option to produce a real-time html output including all .Rout outputs
* Setup the Php files and adapt values in config.php to manage test launch and results viewing. * Setup the Php files and adapt values in config.php to manage test launch and results viewing in the basic web interface
## Table of content ## Table of content
--- ---
1. [Screenshots](#screenshots) 1. [Screenshots](#screenshots)
2. [Requirements](#requirements) 2. [Requirements](#requirements)
3. [Usage](#usage) 3. [Usage](#usage)
1. [Direct Bash call](#Direct Bash call) 1. [Direct Bash call](#direct-bash-call)
* without --html * without --html
* with --html * with --html
2. [With the basic web interface](#With the basic web interface) 2. [With the basic web interface](#with-the-basic-web-interface)
# Screenshots # Screenshots
--- ---
...@@ -42,7 +42,7 @@ Simple web interface examples : ...@@ -42,7 +42,7 @@ Simple web interface examples :
# Requirements # Requirements
--- ---
* MANDATORY any version of R (results will be different from one version to another) * MANDATORY any version of R (results will be different from one version to another as R CMD CHECK results differ depending on R version...)
* MANDATORY Xvfb * MANDATORY Xvfb
* OPTIONAL Php enabled web server * OPTIONAL Php enabled web server
* Java is probably needed by one of the packages depending on the package to check * Java is probably needed by one of the packages depending on the package to check
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment